<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
include_once("../inc/config.inc.php");
include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_mque.inc.php");
include_once("../inc/fic_ret.inc.php");
include_once("../inc/fic_txt.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_log.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_txtcm.inc.php");
Archivelog(@$_SESSION["code_log"]);

$ce = strip_tags(trim($_GET['ce']));	// Récupération code Relevé

if ($ce <> "")
{
	// Récupération des informations demande de retour
	$row = lit_enr_rete($ce,TRUE);
	if (is_array($row))
	{
		extract ($row);
		
		// Récupération des informations marque
		$row = lit_enr_mque($rete_codemque,TRUE);
		if (is_array($row))
		{
			extract ($row);

			$rete_dateenvf = formatedate($rete_dateenv);

			// Récupération des données agence
			$row = lit_enr_age($rete_codeage,TRUE);
			if (is_array($row))
			{
				extract ($row);
			
				$cp_age = Retournecp_openId($age_ville,TRUE);
				$ville_age = Retourneville_openId($age_ville,TRUE);

				include_once('../classes/fpdf/fpdf.php');
				include_once('../inc/fpdf_ext.inc.php');
				
				$pdf=new PDF();
				$pdf->FPDF('L','mm','A4');
				$pdf->SetDisplayMode('real');
				$pdf->AliasNbPages();
				$pdf->SetTitle('Demande de retour');
				$pdf->SetSubject('Demande de retour');
				$pdf->settheader("rete");
				$pdf->AddPage();

				$pv_det_mque = $pv_ent_age; // Récupération de la position sous l'entête agence pour le pointeur détail destinataire
				$pv_det_retd = $pv_ent_age; // Récupération de la position sous l'entête agence pour le pointeur détail demande

				$pdf->SetLineWidth(0.4);
			
				// Impression du détail distributeur
				$pdf->SetY($pv_det_mque); // Renvoie le pointeur SOUS l'entête agence
			
				$pdf->SetFont('Arial','BU',12); // Titre
				$pdf->Cell(138,5,'DESTINATAIRE','LTR',1,'C');
				
				$nl_ent=7;
				$ent_mque = ""; // Détail
				$ent_mque.=$mque_ste."\n";
				$pdf->SetFont('Arial','B',10);
				$pdf->MultiCell(138,4,$ent_mque,'LR','L');
				$nl_ent=$nl_ent-1;
			
				$ent_mque = $mque_adr1."\n"; // Suite...
				if (trim($mque_adr2)<>"")
				{
					$ent_mque.= $mque_adr2."\n";
					$nl_ent=$nl_ent-1;
				}
				$ent_mque.= Retournecp_openId($mque_ville,TRUE)." ".Retourneville_openId($mque_ville,TRUE)."\n";
				$ent_mque.= "Tel : ".$mque_telf."\n";
				$ent_mque.= "Fax : ".$mque_fax;
				$nl_ent=$nl_ent-4;
				if (trim($mque_tvai)<>"")
				{
					$ent_mque.= "\nTVA : ".$mque_tvai;
					$nl_ent=$nl_ent-1;
				}
				if ($nl_ent>0)
				{
					for ($nl=$nl_ent; $nl>=0; $nl--)
					{
						$ent_mque.= "\n";
					}
				}
				$pdf->SetFont('Arial','',10);
				$pdf->MultiCell(138,4,$ent_mque,'LRB','L');
			
				// Impression du détail demande
				$pdf->SetY($pv_det_retd); // Renvoie le pointeur SOUS l'entête agence
			
				$pdf->Cell(138);
			
				$pdf->SetFont('Arial','BU',12);
				$pdf->Cell(139,5,'DETAIL','LTR',1,'C');
			
				$pdf->Cell(138);
			
				$pdf->SetFont('Arial','',8);

				$ent_ret= "Envoyé par :\n";
				$ent_ret.= "Bordereau :\n";
				$ent_ret.= "Nb produits :\n";
				$ent_ret.= "Nb colis :\n";
				$ent_ret.= "\n\n\n";
			
				$pdf->MultiCell(30,4,$ent_ret,'B','R');
			
				$pdf->SetY($pv_det_retd+5); // Renvoie le pointeur SOUS l'entête agence + 5mm (cellule niveau urgence)
				$pdf->Cell(168);
			
				$pdf->SetFont('Arial','',8);
				$ent_ret = nom_me($rete_codeme,TRUE)."\n";
				if (trim($rete_bord)<>"")
					$ent_ret.= $rete_bord."\n";
				else
					$ent_ret.= "-\n";
				$ent_ret.= nb_art_in_envoi($rete_code,TRUE)."\n";
				$ent_ret.= $rete_nbcol."\n";
				$ent_ret.= "\n\n\n";
			
				$pdf->MultiCell(109,4,$ent_ret,'BR','L');
			
				
				$pdf->ln(2);
				
				$pdf->SetLineWidth(0.2);
				$pdf->SetDrawColor(220);
		
				if (nb_art_in_envoi($rete_code,TRUE)>0)
				{
					// Début liste des produits
					$pdf->SetFont('Arial','BU',10);
					$pdf->Cell(276,4,'PRODUITS RETOURNES',0,1,'C');
					$pdf->Ln(2);
					
					$pdf->SetFont('Arial','B',8);
					$pdf->SetFillColor(0);
					$pdf->SetTextColor(255);
		
					$pdf->Cell(50,5,'Code',1,0,'C',1);
					$pdf->Cell(146,5,'Détail produit / Raison du retour',1,0,'C',1);
					$pdf->Cell(80,5,'Numéro de retour',1,1,'C',1);
		
					$pdf->SetFillColor(255);
					$pdf->SetTextColor(0);
					$pdf->SetFont('Arial','B',8);
					
					$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
					mysql_select_db(DBNAME);
			
					// Lignes des articles
					$rech = "SELECT * FROM ".TBRETEP." WHERE retep_codeenv='".$rete_code."' ORDER BY retep_id";
					$rs = mysql_query($rech) or die(mysql_error());
						
					while ($row = mysql_fetch_assoc($rs))
					{
						extract($row);
						   
						$rech2 = "SELECT * FROM ".TBRETP." WHERE retp_code='".$retep_coderetp."'";
						$rs2 = mysql_query($rech2) or die(mysql_error());
							
						if ($row2 = mysql_fetch_assoc($rs2))
						{
							extract($row2);
							   
							$rech3 = "SELECT * FROM ".TBRETD." WHERE retd_coderetp='".$retep_coderetp."'";
							$rs3 = mysql_query($rech3) or die(mysql_error());
								
							if ($row3 = mysql_fetch_assoc($rs3))
							{
								extract($row3);
								   
								// Code
								$pdf->Cell(50,4,$retd_codepdtm,0,0,'L');
								// Désignation / NS / Problème
								$pdf->Cell(146,4,$retp_des,0,0,'L');
								// Numéro de retour
								$pdf->Cell(80,4,$retd_rma,0,1,'L');
								// NS
								if (trim($retp_ns) <> "")
								{
									$pdf->Cell(50);
									$pdf->SetFont('Arial','I',8);
									$pdf->Cell(146,4,"N/S : ".$retp_ns,0,1,'L');
									$pdf->SetFont('Arial','B',8);
								}
								else
									$pdf->Ln();
								$PosX = $pdf->GetX();
								$PosY = $pdf->GetY()-4;
								// Code-barre code produit
								$pdf->Code39($PosX,$PosY,$retd_codepdtm,FALSE,1,3);
								// Code-barre numéro de retour
								$pdf->Code39($PosX+196,$PosY,$retd_rma,FALSE,1,3);
								// Document
								$pdf->Cell(50);
								$pdf->SetFont('Arial','I',8);
								$pdf->Cell(146,4,$doc_types[$retd_blf]." ".$retd_nblf.", du ".formatedate($retd_dblf),0,1,'L');
								$pdf->SetFont('Arial','B',8);
								// Problème
								if (trim($retp_pbm) <> "")
								{
									$pdf->Cell(50);
									$pdf->SetFont('Arial','I',7);
									$pdf->MultiCell(146,4,$retp_pbm,0,1,0,'L');
									$pdf->SetFont('Arial','B',8);
								}

								$pdf->Ln(1);
								$pdf->SetDrawColor(120);
								$pdf->SetLineWidth(0.4);
								$PosY = $pdf->GetY();
								$pdf->LineHP(10,287,$PosY,5,1);
								$pdf->SetDrawColor(0);
								$pdf->SetLineWidth(0.2);
							}
						}
					}
				}					

				// Texte de pied (envoi)
				$row = lit_enr_txt("PIED_RETE");
				extract ($row);

				$txt_ret = parse_txtcorps("age",$age_code,$txt_texte,"");

				$pdf->SetFont('Arial','',8);
				$pdf->WriteHTML($txt_ret);

				$pdf->Output('Renvoi de produit','I');
			}
		}
	}
}
?>